ROX-CLib: systray.c File Reference

- Main Page
- Data Structures
- Files
- Related Pages

- File List
- Globals

# systray.c File Reference

Interface to the system tray. More...

`#include "rox-clib.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <time.h>`
`#include <unistd.h>`
`#include <gdk/gdk.h>`
`#include <gdk/gdkx.h>`
`#include <gtk/gtk.h>`
`#include "choices.h"`
`#include "rox.h"`
`#include "systray.h"`

## Functions
void | rox_systray_init (void)
GtkWidget * | rox_systray_new (void)
GtkWidget * | rox_systray_new_on_screen (GdkScreen *screen)
int | rox_systray_send_message (GtkWidget *systray, const char *message, unsigned usec)
void | rox_systray_cancel_message (GtkWidget *systray, int id)
gboolean | rox_systray_is_vertical (GtkWidget *systray)

## Detailed Description

Interface to the system tray.

## Function Documentation

void rox_systray_cancel_message | ( | GtkWidget * | systray,
|  | int | id |
| ) |  |  |

Cancel a balloon help message.

Parameters:

  `[in]` | systray | system tray container as used in rox_systray_send_message().
  `[in]` | id | id code returned by rox_systray_send_message().

void rox_systray_init | ( | void |  | ) |

Initialize the system tray interface.

gboolean rox_systray_is_vertical | ( | GtkWidget * | systray | ) |

Determine the orientation of the system tray.

Parameters:

  `[in]` | systray | system tray container returned by rox_systray_new().

Returns:
  `TRUE` if the system tray has a vertical orientation, or `FALSE` if horizontal.

GtkWidget* rox_systray_new | ( | void |  | ) |

Create a new system tray widget for the default screen. A container widget is returned, you should add whatever widgets are needed to it. rox_systray_init() must be called first.

Returns:
  a pointer to a GtkContainer widget, or NULL if no system tray manager was found.

GtkWidget* rox_systray_new_on_screen | ( | GdkScreen * | screen | ) |

Create a new system tray widget for the specified screen. A container widget is returned, you should add whatever widgets are needed to it. rox_systray_init() must be called first.

Parameters:

  `[in]` | screen | screen where the system tray manager is running

Returns:
  a pointer to a GtkContainer widget, or NULL if no system tray manager was found for the screen.

int rox_systray_send_message | ( | GtkWidget * | systray,
|  | const char * | message,
|  | unsigned | usec |
| ) |  |  |

Send a balloon message to the system tray icon.

This shows the message immediately. If instead you wish to show a tooltip when the mouse hovers over the icon then you should instead pack your icon in a GtkEventBox and set the tooltip on that instead.

Parameters:

  `[in]` | systray | system tray container as returned by rox_systray_new() or rox_systray_new_on_screen().
  `[in]` | message | message to display
  `[in]` | usec | time in micro-seconds to display balloon message, or 0 for no time out.

Returns:
  id code for message, 0 returned for failure